Skip to main content

Add a service to the order

POSThttps://carchost.fieldcontrol.com.br/orders/{id}/services

Adds a service to the work order and recalculates the order totals.

Requires the X-Api-Key, User-Agent and Content-Type: application/json headers. Limit: 1 request per second (learn more).

Request​

Path parameters

idstringrequired

Work order identifier.

Example: NDJiMWQ0YzQtOWNmOC00NWE2LTg2MjItYjNjNzZjZjk0MmM4OjIyOTE1.

Headers

User-Agentstringrequired

Identification of your application.

Example: MinhaIntegracao/1.0.

Request body

JSON, sent with the Content-Type: application/json header.

serviceobjectrequired
Fields of service
idstringrequired

Service identifier.

quantitynumberrequired

Quantity, greater than zero.

valuenumberrequired

Unit price, greater than zero.

Responses

  • 201

    Service added.

  • 401

    API key missing (Missing API Key) or invalid (Invalid API Key). See Authentication.

  • 403

    Account blocked (Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication.

  • 404

    Resource not found. The response body is empty.

  • 409

    Item already added to the order (resourceAlreadyExists).

  • 422

    Nonexistent service or invalid body (resourceValidationErr). Invalid order identifier: uriValidationErr.

  • 429

    Limit of 1 request per second exceeded. See Rate limit.

  • 500

    Unexpected server error.